/*
 * ErrorListener.java
 *
 * Created on 01 October 2004, 11:12
 */

package org.netkernel.xml.saxon.accessor.util;

import javax.xml.transform.*;
import java.util.*;
/**
 *
 * @author  pjr
 */
public class LocalErrorListener implements ErrorListener
{
	private String mError;
	private ArrayList mWarnings=new ArrayList();
	
	/** Creates a new instance of ErrorListener */
	public LocalErrorListener()
	{	
	}
	
	public void error(javax.xml.transform.TransformerException exception) throws javax.xml.transform.TransformerException
	{	mError=exception.getMessageAndLocation();
		System.err.println(exception.getMessageAndLocation());
		throw exception;
	}
	
	public void fatalError(javax.xml.transform.TransformerException exception) throws javax.xml.transform.TransformerException
	{	mError=exception.getMessageAndLocation();
		throw exception;
	}
	
	public void warning(javax.xml.transform.TransformerException exception) throws javax.xml.transform.TransformerException
	{	System.err.println(exception.getMessageAndLocation());
	}
		
	public String getErrorMessage()
	{	return mError;		
	}
}
